Place existing Entity Instances of one admitted Entity Definition into a catalog node.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/catalogs/example/nodes/example/items"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"EntityDefinitionId\": \"example\", \"EntityInstanceIds\": [ \"example\" ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/catalogs/example/nodes/example/items';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"EntityDefinitionId":"example","EntityInstanceIds":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/catalogs/example/nodes/example/items \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "EntityDefinitionId": "example", "EntityInstanceIds": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Place existing Entity Instances of one admitted Entity Definition into a catalog node.
object
Entity Definition of the placed instances; must be an admitted catalog target.
Entity Instance identifiers to place; each must be readable by the caller.
Examplegenerated
{ "EntityDefinitionId": "example", "EntityInstanceIds": [ "example" ]}Place existing Entity Instances of one admitted Entity Definition into a catalog node.
object
Entity Definition of the placed instances; must be an admitted catalog target.
Entity Instance identifiers to place; each must be readable by the caller.
Examplegenerated
{ "EntityDefinitionId": "example", "EntityInstanceIds": [ "example" ]}Place existing Entity Instances of one admitted Entity Definition into a catalog node.
object
Entity Definition of the placed instances; must be an admitted catalog target.
Entity Instance identifiers to place; each must be readable by the caller.
Examplegenerated
{ "EntityDefinitionId": "example", "EntityInstanceIds": [ "example" ]}Responses
Section titled “Responses”OK
object
Item placements of one catalog node materialized for the current caller.
object
Owning catalog definition identifier.
Catalog node identifier.
Materialized placement rows visible to the current caller.
One runtime resource placed inside a catalog node.
object
Placement row identifier.
Owning catalog node identifier.
Placed instance Entity Definition identifier.
Placed Entity Instance identifier.
Stable identity of one Moltaro resource instance.
object
Entity Definition type label.
Resource Catalog safe label for compact contexts.
Materialized instance display name.
Materialized instance number when available.
object
object
Whether the caller may open the underlying instance.
Provider-owned display fields capped by the server-side list projection.
One provider-owned list-projection field for a catalog item row.
object
Stable provider field key.
Localized display label.
Display-safe value.
Number of provider fields omitted from the compact row.
Placement creation timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Item placements of one catalog node materialized for the current caller.
object
Owning catalog definition identifier.
Catalog node identifier.
Materialized placement rows visible to the current caller.
One runtime resource placed inside a catalog node.
object
Placement row identifier.
Owning catalog node identifier.
Placed instance Entity Definition identifier.
Placed Entity Instance identifier.
Stable identity of one Moltaro resource instance.
object
Entity Definition type label.
Resource Catalog safe label for compact contexts.
Materialized instance display name.
Materialized instance number when available.
object
object
Whether the caller may open the underlying instance.
Provider-owned display fields capped by the server-side list projection.
One provider-owned list-projection field for a catalog item row.
object
Stable provider field key.
Localized display label.
Display-safe value.
Number of provider fields omitted from the compact row.
Placement creation timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Item placements of one catalog node materialized for the current caller.
object
Owning catalog definition identifier.
Catalog node identifier.
Materialized placement rows visible to the current caller.
One runtime resource placed inside a catalog node.
object
Placement row identifier.
Owning catalog node identifier.
Placed instance Entity Definition identifier.
Placed Entity Instance identifier.
Stable identity of one Moltaro resource instance.
object
Entity Definition type label.
Resource Catalog safe label for compact contexts.
Materialized instance display name.
Materialized instance number when available.
object
object
Whether the caller may open the underlying instance.
Provider-owned display fields capped by the server-side list projection.
One provider-owned list-projection field for a catalog item row.
object
Stable provider field key.
Localized display label.
Display-safe value.
Number of provider fields omitted from the compact row.
Placement creation timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Item placements of one catalog node materialized for the current caller.
object
Owning catalog definition identifier.
Catalog node identifier.
Materialized placement rows visible to the current caller.
One runtime resource placed inside a catalog node.
object
Placement row identifier.
Owning catalog node identifier.
Placed instance Entity Definition identifier.
Placed Entity Instance identifier.
Stable identity of one Moltaro resource instance.
object
Entity Definition type label.
Resource Catalog safe label for compact contexts.
Materialized instance display name.
Materialized instance number when available.
object
object
Whether the caller may open the underlying instance.
Provider-owned display fields capped by the server-side list projection.
One provider-owned list-projection field for a catalog item row.
object
Stable provider field key.
Localized display label.
Display-safe value.
Number of provider fields omitted from the compact row.
Placement creation timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}